<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: DbgClpExtType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00082.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">DbgClpExtType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Extended debug control loop structure used in <a class="el" href="a00002.html#aa2c767129feeb4231f7ddbac9be70353" title="Gets the extended debug information from TEC control loop.">dbgClpExt()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a85fc79db39a5beba8b016991ea5f58ba" id="r_a85fc79db39a5beba8b016991ea5f58ba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a85fc79db39a5beba8b016991ea5f58ba">stepCounter</a></td></tr>
<tr class="memdesc:a85fc79db39a5beba8b016991ea5f58ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number incrementing by each control step.  <br /></td></tr>
<tr class="separator:a85fc79db39a5beba8b016991ea5f58ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d1dbe5dfc70c60cf58105d8f69dab10" id="r_a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7d1dbe5dfc70c60cf58105d8f69dab10">targetTmp</a></td></tr>
<tr class="memdesc:a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Target temperature in degrees.  <br /></td></tr>
<tr class="separator:a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe086c30c0e9332053e4e9af4ba77634" id="r_afe086c30c0e9332053e4e9af4ba77634"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe086c30c0e9332053e4e9af4ba77634">sddTmp</a></td></tr>
<tr class="memdesc:afe086c30c0e9332053e4e9af4ba77634"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SDD temperature.  <br /></td></tr>
<tr class="separator:afe086c30c0e9332053e4e9af4ba77634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c070d3668d24864810a1a6c15b14792" id="r_a7c070d3668d24864810a1a6c15b14792"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7c070d3668d24864810a1a6c15b14792">itec</a></td></tr>
<tr class="memdesc:a7c070d3668d24864810a1a6c15b14792"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peltier output current.  <br /></td></tr>
<tr class="separator:a7c070d3668d24864810a1a6c15b14792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26dc46d0a29a1460a4735aea9991f92f" id="r_a26dc46d0a29a1460a4735aea9991f92f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26dc46d0a29a1460a4735aea9991f92f">utec</a></td></tr>
<tr class="memdesc:a26dc46d0a29a1460a4735aea9991f92f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peltier output voltage.  <br /></td></tr>
<tr class="separator:a26dc46d0a29a1460a4735aea9991f92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1ed6d6f4980bb792ef7ef41caa49b6" id="r_a2f1ed6d6f4980bb792ef7ef41caa49b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2f1ed6d6f4980bb792ef7ef41caa49b6">monStepSize</a></td></tr>
<tr class="memdesc:a2f1ed6d6f4980bb792ef7ef41caa49b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Step size.  <br /></td></tr>
<tr class="separator:a2f1ed6d6f4980bb792ef7ef41caa49b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67df860bfa6f469b8ff59d52f0bb2833" id="r_a67df860bfa6f469b8ff59d52f0bb2833"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a67df860bfa6f469b8ff59d52f0bb2833">monSigFinal</a></td></tr>
<tr class="memdesc:a67df860bfa6f469b8ff59d52f0bb2833"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fhe final limited control variable.  <br /></td></tr>
<tr class="separator:a67df860bfa6f469b8ff59d52f0bb2833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa45f0c2b2661e0258bf278ee3ab4a1d0" id="r_aa45f0c2b2661e0258bf278ee3ab4a1d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa45f0c2b2661e0258bf278ee3ab4a1d0">ctrlSigFinal</a></td></tr>
<tr class="memdesc:aa45f0c2b2661e0258bf278ee3ab4a1d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The calculated control variable.  <br /></td></tr>
<tr class="separator:aa45f0c2b2661e0258bf278ee3ab4a1d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b28648bf5e8b3cdf977c6a2deeab82" id="r_ac7b28648bf5e8b3cdf977c6a2deeab82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac7b28648bf5e8b3cdf977c6a2deeab82">pPart</a></td></tr>
<tr class="memdesc:ac7b28648bf5e8b3cdf977c6a2deeab82"><td class="mdescLeft">&#160;</td><td class="mdescRight">P part.  <br /></td></tr>
<tr class="separator:ac7b28648bf5e8b3cdf977c6a2deeab82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df3bae2151155225fb345048999c519" id="r_a0df3bae2151155225fb345048999c519"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0df3bae2151155225fb345048999c519">iPart</a></td></tr>
<tr class="memdesc:a0df3bae2151155225fb345048999c519"><td class="mdescLeft">&#160;</td><td class="mdescRight">I part.  <br /></td></tr>
<tr class="separator:a0df3bae2151155225fb345048999c519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9000b5caf5cb5ddcf82ce87dca080af" id="r_af9000b5caf5cb5ddcf82ce87dca080af"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af9000b5caf5cb5ddcf82ce87dca080af">iPartLimit</a></td></tr>
<tr class="memdesc:af9000b5caf5cb5ddcf82ce87dca080af"><td class="mdescLeft">&#160;</td><td class="mdescRight">The information, if the integral part is limited.  <br /></td></tr>
<tr class="separator:af9000b5caf5cb5ddcf82ce87dca080af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae678d181a7ef05c5cfdd75ce402b588b" id="r_ae678d181a7ef05c5cfdd75ce402b588b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae678d181a7ef05c5cfdd75ce402b588b">dPart</a></td></tr>
<tr class="memdesc:ae678d181a7ef05c5cfdd75ce402b588b"><td class="mdescLeft">&#160;</td><td class="mdescRight">D part.  <br /></td></tr>
<tr class="separator:ae678d181a7ef05c5cfdd75ce402b588b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5f2fadb5e07f3505cf455d812f5d5c" id="r_a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0a5f2fadb5e07f3505cf455d812f5d5c">rdy</a></td></tr>
<tr class="memdesc:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Ready" state.  <br /></td></tr>
<tr class="separator:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d27d2573d3cc9ff68488695d852d711" id="r_a1d27d2573d3cc9ff68488695d852d711"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1d27d2573d3cc9ff68488695d852d711">aRdy</a></td></tr>
<tr class="memdesc:a1d27d2573d3cc9ff68488695d852d711"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Almost Ready" state.  <br /></td></tr>
<tr class="separator:a1d27d2573d3cc9ff68488695d852d711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadcef08b23dab2c5c0f50107b1996ae5" id="r_aadcef08b23dab2c5c0f50107b1996ae5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aadcef08b23dab2c5c0f50107b1996ae5">grnLed</a></td></tr>
<tr class="memdesc:aadcef08b23dab2c5c0f50107b1996ae5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Green LED.  <br /></td></tr>
<tr class="separator:aadcef08b23dab2c5c0f50107b1996ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b22c1db8f7be4bd7f22be47abbe9fb6" id="r_a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7b22c1db8f7be4bd7f22be47abbe9fb6">hotSide</a></td></tr>
<tr class="memdesc:a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The TEC hot side temperature in degrees Celsius.  <br /></td></tr>
<tr class="separator:a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Extended debug control loop structure used in <a class="el" href="a00002.html#aa2c767129feeb4231f7ddbac9be70353" title="Gets the extended debug information from TEC control loop.">dbgClpExt()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a1d27d2573d3cc9ff68488695d852d711" name="a1d27d2573d3cc9ff68488695d852d711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d27d2573d3cc9ff68488695d852d711">&#9670;&#160;</a></span>aRdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> aRdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Almost Ready" state. </p>

</div>
</div>
<a id="aa45f0c2b2661e0258bf278ee3ab4a1d0" name="aa45f0c2b2661e0258bf278ee3ab4a1d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa45f0c2b2661e0258bf278ee3ab4a1d0">&#9670;&#160;</a></span>ctrlSigFinal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> ctrlSigFinal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The calculated control variable. </p>

</div>
</div>
<a id="ae678d181a7ef05c5cfdd75ce402b588b" name="ae678d181a7ef05c5cfdd75ce402b588b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae678d181a7ef05c5cfdd75ce402b588b">&#9670;&#160;</a></span>dPart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> dPart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>D part. </p>

</div>
</div>
<a id="aadcef08b23dab2c5c0f50107b1996ae5" name="aadcef08b23dab2c5c0f50107b1996ae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadcef08b23dab2c5c0f50107b1996ae5">&#9670;&#160;</a></span>grnLed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> grnLed</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Green LED. </p>

</div>
</div>
<a id="a7b22c1db8f7be4bd7f22be47abbe9fb6" name="a7b22c1db8f7be4bd7f22be47abbe9fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b22c1db8f7be4bd7f22be47abbe9fb6">&#9670;&#160;</a></span>hotSide</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> hotSide</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The TEC hot side temperature in degrees Celsius. </p>

</div>
</div>
<a id="a0df3bae2151155225fb345048999c519" name="a0df3bae2151155225fb345048999c519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0df3bae2151155225fb345048999c519">&#9670;&#160;</a></span>iPart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> iPart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>I part. </p>

</div>
</div>
<a id="af9000b5caf5cb5ddcf82ce87dca080af" name="af9000b5caf5cb5ddcf82ce87dca080af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9000b5caf5cb5ddcf82ce87dca080af">&#9670;&#160;</a></span>iPartLimit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> iPartLimit</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The information, if the integral part is limited. </p>

</div>
</div>
<a id="a7c070d3668d24864810a1a6c15b14792" name="a7c070d3668d24864810a1a6c15b14792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c070d3668d24864810a1a6c15b14792">&#9670;&#160;</a></span>itec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> itec</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The peltier output current. </p>

</div>
</div>
<a id="a67df860bfa6f469b8ff59d52f0bb2833" name="a67df860bfa6f469b8ff59d52f0bb2833"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67df860bfa6f469b8ff59d52f0bb2833">&#9670;&#160;</a></span>monSigFinal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> monSigFinal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fhe final limited control variable. </p>

</div>
</div>
<a id="a2f1ed6d6f4980bb792ef7ef41caa49b6" name="a2f1ed6d6f4980bb792ef7ef41caa49b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f1ed6d6f4980bb792ef7ef41caa49b6">&#9670;&#160;</a></span>monStepSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> monStepSize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Step size. </p>

</div>
</div>
<a id="ac7b28648bf5e8b3cdf977c6a2deeab82" name="ac7b28648bf5e8b3cdf977c6a2deeab82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7b28648bf5e8b3cdf977c6a2deeab82">&#9670;&#160;</a></span>pPart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> pPart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>P part. </p>

</div>
</div>
<a id="a0a5f2fadb5e07f3505cf455d812f5d5c" name="a0a5f2fadb5e07f3505cf455d812f5d5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5f2fadb5e07f3505cf455d812f5d5c">&#9670;&#160;</a></span>rdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> rdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Ready" state. </p>

</div>
</div>
<a id="afe086c30c0e9332053e4e9af4ba77634" name="afe086c30c0e9332053e4e9af4ba77634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe086c30c0e9332053e4e9af4ba77634">&#9670;&#160;</a></span>sddTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> sddTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The SDD temperature. </p>

</div>
</div>
<a id="a85fc79db39a5beba8b016991ea5f58ba" name="a85fc79db39a5beba8b016991ea5f58ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85fc79db39a5beba8b016991ea5f58ba">&#9670;&#160;</a></span>stepCounter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a> stepCounter</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number incrementing by each control step. </p>

</div>
</div>
<a id="a7d1dbe5dfc70c60cf58105d8f69dab10" name="a7d1dbe5dfc70c60cf58105d8f69dab10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d1dbe5dfc70c60cf58105d8f69dab10">&#9670;&#160;</a></span>targetTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> targetTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Target temperature in degrees. </p>

</div>
</div>
<a id="a26dc46d0a29a1460a4735aea9991f92f" name="a26dc46d0a29a1460a4735aea9991f92f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26dc46d0a29a1460a4735aea9991f92f">&#9670;&#160;</a></span>utec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> utec</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The peltier output voltage. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00082.html">DbgClpExtType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
